Right to left in Angular Radio button component

15 Sep 20221 minute to read

RadioButton component has RTL support. This can be achieved by setting enableRtl as true.

The following example illustrates how to enable right-to-left support in RadioButton component.

import { Component } from '@angular/core';

@Component({
    selector: 'app-root',
    // To customize RadioButton appearance
    template: `<ul>
               <li><ejs-radiobutton label="Option 1" name="default" enableRtl="true" checked="true"></ejs-radiobutton></li>
               <li><ejs-radiobutton label="Option 2" name="default" enableRtl="true"></ejs-radiobutton></li>
               </ul>`
})

export class AppComponent { }
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RadioButtonModule } from '@syncfusion/ej2-angular-buttons';
import { AppComponent } from './app.component';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        RadioButtonModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Right to left in Vue Radio button component

11 Jun 20242 minutes to read

RadioButton component has RTL support. This can be achieved by setting enableRtl as true.

The following example illustrates how to enable right-to-left support in RadioButton component.

<template>
<ul>
<li><ejs-radiobutton label='Option 1' name='default' enableRtl="true"></ejs-radiobutton></li>
<li><ejs-radiobutton label='Option 2' name='default' enableRtl="true" checked=true></ejs-radiobutton></li>
</ul>
</template>

<script setup>

import { RadioButtonComponent as EjsRadiobutton } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";

.e-radio-wrapper {
  margin-top: 18px;
}

li {
  list-style: none;
}
</style>
<template>
  <ul>
    <li><ejs-radiobutton label='Option 1' name='default' enableRtl="true"></ejs-radiobutton></li>
    <li><ejs-radiobutton label='Option 2' name='default' enableRtl="true" checked=true></ejs-radiobutton></li>
  </ul>
</template>

<script>

import { RadioButtonComponent } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
export default {
  name: "App",
  components: {
    "ejs-radiobutton": RadioButtonComponent
  }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";

.e-radio-wrapper {
  margin-top: 18px;
}

li {
  list-style: none;
}
</style>

Right to left in React Radio button component

30 Jan 20231 minute to read

RadioButton component has RTL support. This can be achieved by setting enableRtl as true.

The following example illustrates how to enable right-to-left support in RadioButton component.

import { enableRipple } from '@syncfusion/ej2-base';
import { RadioButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);
// To render RadioButton.
function App() {
    return (<ul>
    <li><RadioButtonComponent label="Option 1" name="default" enableRtl={true}/></li>
    <li><RadioButtonComponent label="Option 2" name="default" enableRtl={true}/></li>
    </ul>);
}
export default App;
ReactDom.render(<App />, document.getElementById('radio-button'));
import { enableRipple } from '@syncfusion/ej2-base';
import { RadioButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

// To render RadioButton.
function App() {
  return (
    <ul>
    <li><RadioButtonComponent label="Option 1" name="default" enableRtl={true} /></li>
    <li><RadioButtonComponent label="Option 2" name="default" enableRtl={true} /></li>
    </ul>
  );
}
export default App;
ReactDom.render(<App />, document.getElementById('radio-button'));